summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-ycp-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-ycp-2')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-ycp-214
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-ycp-2 b/gettext-tools/tests/xgettext-ycp-2
index 3c85556..b5ea282 100755..100644
--- a/gettext-tools/tests/xgettext-ycp-2
+++ b/gettext-tools/tests/xgettext-ycp-2
@@ -3,10 +3,6 @@
# Test YCP support: --add-comments option.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-y-2.ycp"
cat <<EOF > xg-y-2.ycp
// This comment will not be extracted.
print (_("help"));
@@ -22,15 +18,11 @@ print (_("Hey Jude"));
print (_("The Fabulous Four"));
EOF
-tmpfiles="$tmpfiles xg-y-2.tmp.po xg-y-2.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
- -d xg-y-2.tmp xg-y-2.ycp
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-y-2.tmp.po > xg-y-2.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ -d xg-y-2.tmp xg-y-2.ycp || exit 1
+LC_ALL=C tr -d '\r' < xg-y-2.tmp.po > xg-y-2.po || exit 1
-tmpfiles="$tmpfiles xg-y-2.ok"
cat <<EOF > xg-y-2.ok
msgid "help"
msgstr ""
@@ -57,6 +49,4 @@ EOF
${DIFF} xg-y-2.ok xg-y-2.po
result=$?
-rm -fr $tmpfiles
-
exit $result